CAN_TSCC_Type Union Reference

## Data Fields

struct {
uint32_t TSS:2
uint32_t __pad0__:14
uint32_t TCP:4
uint32_t __pad1__:12
} | bit
uint32_t | reg

## Detailed Description

Definition at line 298 of file can.h.

## Field Documentation

## __pad0__

uint32_t CAN_TSCC_Type::__pad0__

bit: 2..15 Reserved

Definition at line 301 of file can.h.

## __pad1__

uint32_t CAN_TSCC_Type::__pad1__

bit: 20..31 Reserved

Definition at line 303 of file can.h.

## bit

struct { ... } CAN_TSCC_Type::bit

Structure used for bit access

## reg

uint32_t CAN_TSCC_Type::reg

Type used for register access

Definition at line 305 of file can.h.

## TCP

uint32_t CAN_TSCC_Type::TCP

bit: 16..19 Timestamp Counter Prescaler

Definition at line 302 of file can.h.

## TSS

uint32_t CAN_TSCC_Type::TSS

bit: 0.. 1 Timestamp Select

Definition at line 300 of file can.h.

The documentation for this union was generated from the following file:

- /storage/Shared/Documents/Projects/ePenguin/ePenguin-Software-Framework/arch/arm/SAME54/SAME54A/mcu/inc/component/can.h